Assign materials to both sides?
-
Is thare a plugin that can let me assign a material in one go to both sides?
One click,two sides of the face. I think this function is good, when to build models for exporting into 3dsmax~
I've found Builder Boy's plugin
http://forums.sketchucation.com/viewtopic.php?f=180&t=32839 Is there a plugin: one click two sides? -
This "one-liner" copy/pasted into the Ruby Console makes all faces in the current selection have the same material front and back... BUT don't use it as an excuse for sloppy modeling
Sketchup.active_model.selection.each{|e|next if e.class!=Sketchup;;Face;e.back_material=e.material if e.material;e.material=e.back_material if not e.material}
If a face has a front-material then it's duplicated on its back, if it doesn't have a front-material the back-material [if any] is duplicated on its front.
It doesn't work on 'nested faces' unless you edit the group/instance and then 'select all', and then run the snippet... -
@tig said:
This "one-liner" copy/pasted into the Ruby Console makes all faces in the current selection have the same material front and back... BUT don't use it as an excuse for sloppy modeling
Sketchup.active_model.selection.each{|e|next if e.class!=Sketchup;;Face;e.back_material=e.material if e.material;e.material=e.back_material if not e.material}
If a face has a front-material then it's duplicated on its back, if it doesn't have a front-material the back-material [if any] is duplicated on its front.
It doesn't work on 'nested faces' unless you edit the group/instance and then 'select all', and then run the snippet...
Thanks for your advice~ I'm lazy I was drawing a concept model, so I thought that sort of plugin can make something easy...
-
Hi, I know this is and old post, but could this be done keeping the orientation?
-
@guillo_ortiz said:
Hi, I know this is and old post, but could this be done keeping the orientation?
Please explain 'orientation'.Do you mean flipping a material's texture so that the image aligns front and back ?
I think that there's separate thread about this...
I'll search... -
After thinking a bit more...
https://sketchucation.com/pluginstore?pln=FixReversedFaceMaterials
[an oldie by me]
Has several tools.
It's primary aim is to reverse faces that have a texture on their back, and then move the texture onto the front - needed by most renderers.
But it does have tools to replicate a material on front and back faces...
Try it... -
ThruPaint (part of FredoTools) can paint both sides with one click too...
-
@tig said:
This "one-liner" copy/pasted into the Ruby Console makes all faces in the current selection have the same material front and back... BUT don't use it as an excuse for sloppy modeling
Sketchup.active_model.selection.each{|e|next if e.class!=Sketchup;;Face;e.back_material=e.material if e.material;e.material=e.back_material if not e.material}
If a face has a front-material then it's duplicated on its back, if it doesn't have a front-material the back-material [if any] is duplicated on its front.
It doesn't work on 'nested faces' unless you edit the group/instance and then 'select all', and then run the snippet...
This is very useful! Is there a way to make it run through nested groups and components too? Also I need to look up how to add this, but a single click undo?
-
@tig said:
After thinking a bit more...
https://sketchucation.com/pluginstore?pln=FixReversedFaceMaterials
[an oldie by me]
Has several tools.
It's primary aim is to reverse faces that have a texture on their back, and then move the texture onto the front - needed by most renderers.
But it does have tools to replicate a material on front and back faces...
Try it...This is awesome thanks so much!
Advertisement